---
layout: doc
title: Supported Versions
permalink: /doc/supported-versions/
---

<style>
article td, article th {
    border-width: 2px;
    border-style: double;
    padding: 5px;
}
</style>

Supported Versions
==================

Qubes OS
--------
Qubes OS releases are supported for **six months** after each subsequent major
or minor release. The version scheme is explained [here](/doc/version-scheme/).
All available current and past downloads can be found [here](/downloads/).

| Qubes OS Version | Start Date | End Date   | Status                      |
| ---------------- | ---------- | ---------- | --------------------------- |
| Release 1        | 2012-09-03 | 2015-03-26 | Old, unsupported            |
| Release 2        | 2014-09-26 | 2016-04-01 | Old, supported              |
| Release 3.0      | 2015-10-01 | TBA        | Current, supported          |
| Release 3.1      | TBA        | TBA        | [In testing][r3.1-schedule] |
| Release 4.0      | TBA        | TBA        | In development              |


Templates
---------
The table below shows the [template](/doc/templates/) versions supported by each
Qubes OS release. Currently, only Fedora and Debian templates are officially
supported.

| Qubes OS Version | Fedora Versions | Debian Versions                               |
| ---------------- | --------------- | --------------------------------------------- |
| Release 1        | 18, 20          | None                                          |
| Release 2        | 21              | None                                          |
| Release 3.0      | 21, 22\*, 23    | 7 ("wheezy")\*, 8 ("jessie")                  |
| Release 3.1      | 21, 22\*, 23    | 7 ("wheezy")\*, 8 ("jessie"), 9 ("stretch")\* |
| Release 3.2      | TBA             | TBA                                           |
| Release 4.0      | TBA             | TBA                                           |

\* Denotes versions for which we have pubished the packages but have not done
extensive testing.

[r3.1-schedule]: /doc/releases/3.1/schedule/
